package gov.va.med.esr.service.impl;

import gov.va.med.fw.persistent.DAOException;
import gov.va.med.fw.service.ServiceException;
import gov.va.med.fw.service.pagination.SearchQueryInfo;
import gov.va.med.esr.service.MsdsMessagingService;

import java.util.List;

public class MsdsMessagingServiceImpl extends LogTransmissionServiceImpl {
	
	private static final long serialVersionUID = -6367870366143211518L;	
	/**
     * Retrieves the messages matching the criteria.
     *
     * @param criteria the criteria object
     * @return
     * @throws ServiceException
     */
   /* public List search(SearchQueryInfo criteria) throws ServiceException {
       
       List list = null;
       try {
          list = getMsdsMessageLogEntryDAO().find(criteria);
       }
       catch (DAOException ex) {
          throw new ServiceException("Failed to get the Messages matchong the criteria", ex);
       }
       return list;
    }
*/
}
